[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Dependencies a little excessive?



So I nonchalantly typed this and walked away from my rawhide box.. 

"yum -y install libgnome-devel gcc-c++"

I must admit to being somewhat surprised at this :

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository
Size 
=============================================================================
Installing:
 gcc-c++                 x86_64     4.1.1-14         development
3.6 M
 libgnome-devel          i386       2.15.1-3.fc6     development
112 k
 libgnome-devel          x86_64     2.15.1-3.fc6     development
117 k
Installing for dependencies:
 GConf2                  i386       2.14.0-2.1       development
1.5 M
 GConf2-devel            x86_64     2.14.0-2.1       development
202 k
 ORBit2                  i386       2.14.2-1.fc6     development
252 k
 ORBit2-devel            x86_64     2.14.2-1.fc6     development
386 k
 alsa-lib-devel          x86_64     1.0.12-1.rc1     development
1.4 M
 atk                     i386       1.12.1-2         development
217 k
 audiofile-devel         x86_64     1:0.2.6-5        development
15 k
 audit-libs              i386       1.2.5-6          development
39 k
 avahi                   i386       0.6.11-2.fc6     development
226 k
 avahi-glib              i386       0.6.11-2.fc6     development
13 k
 bzip2-libs              i386       1.0.3-3          development
36 k
 cairo                   i386       1.2.0-2          development
451 k
 cups-libs               i386       1:1.2.2-7        development
175 k
 dbus                    i386       0.90-8           development
638 k
 dbus-devel              x86_64     0.90-8           development
30 k
 dbus-glib               i386       0.70-4           development
153 k
 dbus-glib-devel         x86_64     0.70-4           development
10 k
 esound-devel            x86_64     1:0.2.36-3       development
34 k
 fontconfig              i386       2.3.95-6         development
190 k
 gamin                   i386       0.1.7-1.2.2      development
119 k
 gcc                     x86_64     4.1.1-14         development
4.7 M
 glib2                   i386       2.12.1-1         development
667 k
 glib2-devel             x86_64     2.12.1-1         development
1.3 M
 glibc-devel             x86_64     2.4.90-17        development
2.4 M
 glibc-headers           x86_64     2.4.90-17        development
589 k
 gnome-vfs2              i386       2.15.90-2.fc6    development
1.3 M
 gnome-vfs2-devel        x86_64     2.15.90-2.fc6    development
486 k
 gnutls                  i386       1.4.1-1          development
350 k
 gtk2                    i386       2.10.1-1         development
5.9 M
 hal                     i386       0.5.7.1-2.fc6    development
287 k
 hal-devel               x86_64     0.5.7.1-2.fc6    development
157 k
 indent                  x86_64     2.2.9-14.fc6     development
97 k
 libIDL                  i386       0.8.7-1.fc6      development
85 k
 libIDL-devel            x86_64     0.8.7-1.fc6      development
18 k
 libXcursor              i386       1.1.7-1.1        development
32 k
 libXfixes               i386       4.0.1-2.1        development
14 k
 libXft                  i386       2.1.10-1.1       development
44 k
 libXinerama             i386       1.0.1-2.1        development
9.9 k
 libXrandr               i386       1.1.1-3.1        development
15 k
 libXrender              i386       0.9.1-3.1        development
27 k
 libacl                  i386       2.2.39-1.1       development
19 k
 libattr                 i386       2.4.32-1.1       development
12 k
 libbonobo               i386       2.15.0-2         development
496 k
 libbonobo-devel         x86_64     2.15.0-2         development
500 k
 libcap                  i386       1.10-25          development
22 k
 libgcrypt-devel         x86_64     1.2.2-3.1        development
266 k
 libgnome                i386       2.15.1-3.fc6     development
854 k
 libgomp                 x86_64     4.1.1-14         development
54 k
 libgpg-error-devel      x86_64     1.3-3.1          development
16 k
 libpng                  i386       2:1.2.10-6       development
242 k
 libstdc++-devel         x86_64     4.1.1-14         development
10 M
 libxml2-devel           x86_64     2.6.26-2.1.1     development
2.2 M
 libxslt-devel           x86_64     1.1.17-1.1       development
307 k
 pango                   i386       1.13.5-1         development
334 k
 zlib-devel              x86_64     1.2.3-3          development
102 k
Updating for dependencies:
 libstdc++               x86_64     4.1.1-14         development
330 k

Transaction Summary
=============================================================================
Install     58 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         


If the mix of 58 i386/64 packages is perfectly normal and required for
libgnome-devel then I'll go back to my corner and be quiet.

It failed the transaction check as well for the curious :

Transaction Check Error:
file /etc/gconf/schemas/desktop_default_applications.schemas from
install of gnome-vfs2-2.15.90-2.fc6 conflicts with file from package
gnome-vfs2-2.15.3-7
  file /etc/gconf/schemas/desktop_gnome_url_handlers.schemas from
install of gnome-vfs2-2.15.90-2.fc6 conflicts with file from package
gnome-vfs2-2.15.3-7
  file /etc/gconf/schemas/system_dns_sd.schemas from install of
gnome-vfs2-2.15.90-2.fc6 conflicts with file from package
gnome-vfs2-2.15.3-7
  file /etc/gconf/schemas/system_http_proxy.schemas from install of
gnome-vfs2-2.15.90-2.fc6 conflicts with file from package
gnome-vfs2-2.15.3-7
  file /etc/gconf/schemas/system_smb.schemas from install of
gnome-vfs2-2.15.90-2.fc6 conflicts with file from package
gnome-vfs2-2.15.3-7

But then gnome-vfs2 updated fine..

Transaction Test Succeeded
Running Transaction
  Updating  : gnome-vfs2                   #########################
[1/4] 
  Updating  : gnome-vfs2-smb               #########################
[2/4] 
  Cleanup   : gnome-vfs2-smb               #########################
[3/4]
  Cleanup   : gnome-vfs2                   #########################
[4/4]

Updated: gnome-vfs2.x86_64 0:2.15.90-2.fc6
Dependency Updated: gnome-vfs2-smb.x86_64 0:2.15.90-2.fc6
Complete!


And after that the devel packages installed fine, which was nice, but
odd I thought.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]